Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.position
Class LegendPositionData

    java.lang.Object
      info.bioinfweb.treegraph.document.position.PositionData
          info.bioinfweb.treegraph.document.position.LegendPositionData

All Implemented Interfaces:
  Cloneable

    public class LegendPositionData

extends PositionData

Field Summary
`private PositionData` | `linePos`
`private DistanceValue` | `spacing`
`private PositionData` | `textPos`

Constructor Summary
`LegendPositionData()`

Method Summary
`boolean` | `contains(float x, float y, float margin)`
`DistanceValue` | `getHeight()`
`DistanceValue` | `getLeft()`
`PositionData` | `getLinePos()` The position if the icon (for labels) or the bracket (for legends).
`DistanceValue` | `getSpacing()` The spacing between the icon or bracket and the text.
`PositionData` | `getTextPos()`
`DistanceValue` | `getTop()`
`DistanceValue` | `getWidth()`

Methods inherited from class info.bioinfweb.treegraph.document.position.PositionData
`clone, contains, getBottomInMillimeters, getBottomInPixels, getRightInMillimeters, getRightInPixels, toRect, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### textPos

    private PositionData textPos

### linePos

    private PositionData linePos

### spacing

    private DistanceValue spacing

Constructor Detail

### LegendPositionData

    public LegendPositionData()

Method Detail

### getTextPos

    public PositionData getTextPos()

### getLinePos

    public PositionData getLinePos()

  The position if the icon (for labels) or the bracket (for legends).

  Returns:

### getSpacing

    public DistanceValue getSpacing()

  The spacing between the icon or bracket and the text.

  Returns:

### getHeight

    public DistanceValue getHeight()

  Overrides:
    `getHeight` in class `PositionData`

### getLeft

    public DistanceValue getLeft()

  Overrides:
    `getLeft` in class `PositionData`

### getTop

    public DistanceValue getTop()

  Overrides:
    `getTop` in class `PositionData`

### getWidth

    public DistanceValue getWidth()

  Overrides:
    `getWidth` in class `PositionData`

### contains

    public boolean contains(float x,
                            float y,
                            float margin)

  Overrides:
    `contains` in class `PositionData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD